﻿using System.Data;

using System.Web.Configuration;
using System.Data.SqlClient;

public class MyClass01
{
    public static string strConnString = WebConfigurationManager.ConnectionStrings["ConnString_SqlClient"].ConnectionString;

	public MyClass01()
	{
	}

    //由 EmployeeID (如: 1, 2 ,3 ,...)，去数据库取出他的 LastName、Title
    [Ajax.AjaxMethod()]       //告知 Ajax 封装类，为此方法创建一个 JavaScript 代理，这样才能被客户端调用
    public string getEmployeeInfo(string strEmployeeID)
    {
        string strResult = string.Empty;
        string strSql = "SELECT LastName, Title FROM EMPLOYEES WHERE EmployeeID = @EmployeeID";

        using (SqlConnection conn = new SqlConnection(strConnString))
        {
            conn.Open();
            if (conn.State == ConnectionState.Open)
            {
                using (SqlCommand cmd = new SqlCommand(strSql, conn))
                {
                    cmd.Parameters.Add("@EmployeeID", SqlDbType.Int).Value = strEmployeeID.Trim();

                    //若确定要捉的记录只有一笔，可加上此 ADO.NET 的「SingleRow」参数，以优化性能、节省系统资源
                    using (SqlDataReader dr = cmd.ExecuteReader(CommandBehavior.SingleRow))
                    {
                        if (dr.Read())     // (dr.HasRows)
                        {
                            //while (dr.Read())
                            //{
                                strResult = dr[0].ToString() + "§" + dr[1].ToString();
                            //}
                        }
                    }
                }
            }
        }

        return strResult;     //strResult = "result1§result2";   //返回值为用 "§" 字符所分割的一或多个字符串
    }


    //由 ProductID (如: 1, 2 ,3 ,...)，去数据库取出他的 ProductName、QuantityPerUnit
    [Ajax.AjaxMethod()]       //告知 Ajax 封装类，为此方法创建一个 JavaScript 代理，这样才能被客户端调用
    public string getProductInfo(string strProductID)
    {
        string strResult = string.Empty;
        string strSql = "SELECT ProductName, QuantityPerUnit FROM Products WHERE ProductID = @ProductID";

        using (SqlConnection conn = new SqlConnection(strConnString))
        {
            conn.Open();
            if (conn.State == ConnectionState.Open)
            {
                using (SqlCommand cmd = new SqlCommand(strSql, conn))
                {
                    cmd.Parameters.Add("@ProductID", SqlDbType.Int).Value = strProductID.Trim();

                    //若确定要捉的记录只有一笔，可加上此 ADO.NET 的「SingleRow」参数，以优化性能、节省系统资源
                    using (SqlDataReader dr = cmd.ExecuteReader(CommandBehavior.SingleRow))
                    {
                        if (dr.Read())     // (dr.HasRows)
                        {
                            //while (dr.Read())
                            //{
                                strResult = dr[0].ToString() + "§" + dr[1].ToString();
                            //}
                        }
                    }
                }
            }
        }

        return strResult;     //strResult = "result1§result2";   //返回值为用 "§" 字符所分割的一或多个字符串
    }
    

} //end of class
